# -*- mode: python; encoding: utf-8; -*-
import unittest
import sys
import os

import dirs
dirs.default_irpf_dir = dirs.IRPFTestDir()

from bens import Bens
from contribuinte import Contribuinte

class TestBens(unittest.TestCase):

    def setUp(self):
        self.cpf = '34278161174'
        self.contribuinte = Contribuinte(self.cpf)
        self.bens = Bens(self.contribuinte)

    def test_GetBens(self):
        self.assertEqual(self.bens.get_bens('totalExercicioAnterior'), '5.200,00')
        self.assertEqual(self.bens.get_bens('totalExercicioAtual'), '0,00')

if __name__ == '__main__':
    unittest.main()

# vim:tabstop=4:expandtab:smartindent:fenc=utf8

